﻿@using RailwayCashBox.DAL.Entities
@model IEnumerable<RailwayCashBox.DAL.Entities.Order>

@{
    ViewBag.Title = "Бронировки";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>@ViewBag.Title</h2>

<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.TrainScheduleRecord.TrainRoute.Code)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TrainScheduleRecord.DepartureDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TrainScheduleRecord.TrainRoute.StartStation.Station.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TrainScheduleRecord.ArrivalDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TrainScheduleRecord.TrainRoute.EndStation.Station.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.SeatBookings)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TotalPrice)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>

                @if (item.TrainScheduleRecord == null)
                {
                    <span>Ваш заказ был отменен системой.</span>
                }
                else
                {
                    @Html.ActionLink(item.TrainScheduleRecord.TrainRoute.Code, "TrainRouteDetails", new { id = item.TrainScheduleRecord.TrainRoute.Id })
                }
            </td>
            <td>
                @if (item.TrainScheduleRecord != null)
                {
                    @Html.DisplayFor(modelItem => item.TrainScheduleRecord.DepartureDate)
                }
            </td>
            <td>
                @if (item.TrainScheduleRecord != null)
                {
                    @Html.DisplayFor(modelItem => item.TrainScheduleRecord.TrainRoute.StartStation.Station.Name)
                } 
            </td>
            <td>
                @if (item.TrainScheduleRecord != null)
                {
                    @Html.DisplayFor(modelItem => item.TrainScheduleRecord.ArrivalDate)
                }
            </td>
            <td>
                @if (item.TrainScheduleRecord != null)
                {
                    @Html.DisplayFor(modelItem => item.TrainScheduleRecord.TrainRoute.EndStation.Station.Name)
                }
            </td>
            <td>
                @if (item.TrainScheduleRecord != null)
                {
                    @Html.DisplayFor(model => item.SeatBookings.Count)
                }
            </td>
            <td>
                @Html.DisplayFor(model => item.TotalPrice)
            </td>
            <td>
                @Html.ActionLink("Удалить", "DeleteOrder", new {id = item.Id})
            </td>
        </tr>
    }
</table>